aboutsummaryrefslogtreecommitdiffstats
path: root/non-free
diff options
context:
space:
mode:
authorIsaac Dunham <ibid.ag@gmail.com>2016-01-19 22:07:43 -0800
committerTimo Teräs <timo.teras@iki.fi>2016-01-21 08:19:16 +0000
commitae7227ce28913fa6bc85ecc3540196fc65025614 (patch)
tree13fd4394fefa3110ca5442462f92ee0ac51599bc /non-free
parent4246484caae3d6fe70f3012d4ec5ebdfc9b95119 (diff)
downloadaports-ae7227ce28913fa6bc85ecc3540196fc65025614.tar.gz
aports-ae7227ce28913fa6bc85ecc3540196fc65025614.tar.bz2
aports-ae7227ce28913fa6bc85ecc3540196fc65025614.tar.xz
non-free/xephem: new aport
License is "free for personal/educational/public research only, no derivatives without permission, binaries can be distributed only if minimal changes are made for porting only
Diffstat (limited to 'non-free')
-rw-r--r--non-free/xephem/01-use-mandoc.patch13
-rw-r--r--non-free/xephem/APKBUILD56
2 files changed, 69 insertions, 0 deletions
diff --git a/non-free/xephem/01-use-mandoc.patch b/non-free/xephem/01-use-mandoc.patch
new file mode 100644
index 0000000000..50797eed46
--- /dev/null
+++ b/non-free/xephem/01-use-mandoc.patch
@@ -0,0 +1,13 @@
+diff --git a/GUI/xephem/Makefile b/GUI/xephem/Makefile
+index 6fa4405..33d5085 100644
+--- a/GUI/xephem/Makefile
++++ b/GUI/xephem/Makefile
+@@ -192,7 +192,7 @@ xephem: $(INCS) $(OBJS)
+ $(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+
+ xephem.1: xephem.man
+- nroff -man $? > $@
++ mandoc $? > $@
+
+ libs:
+ cd ../../libastro; make
diff --git a/non-free/xephem/APKBUILD b/non-free/xephem/APKBUILD
new file mode 100644
index 0000000000..7ed99ec033
--- /dev/null
+++ b/non-free/xephem/APKBUILD
@@ -0,0 +1,56 @@
+# Contributor: Isaac Dunham <ibid.ag@gmail.com>
+# Maintainer:
+pkgname=xephem
+pkgver=3.7.7
+pkgrel=0
+pkgdesc="XEphem, the serious interactive astronomical software ephemeris"
+url="http://www.clearskyinstitute.com/xephem/"
+arch="all"
+license="custom"
+depends=""
+depends_dev=""
+makedepends="$depends_dev mdocml motif-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://97.74.56.125/free/xephem-$pkgver.tar.gz
+ 01-use-mandoc.patch
+ "
+
+_builddir="$srcdir"/xephem-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"/GUI/xephem && \
+ make XLIBS="-lXm -lXt -lXext -lXmu -lX11"
+}
+
+package() {
+ cd "$_builddir"/GUI/xephem && \
+ install -d -m 0755 "$pkgdir"/etc/ && \
+ install -d -m 0755 "$pkgdir"/usr/bin/ && \
+ install -s -m 0755 xephem "$pkgdir"/usr/bin/ && \
+ install -d -m 0755 "$pkgdir"/usr/share/licenses/xephem/ && \
+ install -m 0644 ../../Copyright "$pkgdir"/usr/share/licenses/xephem/ && \
+ install -d -m 0755 "$pkgdir"/usr/share/man/man1/ && \
+ install -c -m 0644 xephem.1 "$pkgdir"/usr/share/man/man1/ && \
+ install -d -m 0755 "$pkgdir"/usr/share/xephem/ && \
+ cp -R auxil catalogs fifos fits gallery help lo \
+ "$pkgdir"/usr/share/xephem/ && \
+ echo "XEphem.ShareDir: /usr/share/xephem" >> "$pkgdir"/etc/XEphem || \
+ return 1
+}
+
+md5sums="7b9829864dc09d3e0f5cd054d8030e68 xephem-3.7.7.tar.gz
+256fff0a036e7e8c1e24dbc32283993c 01-use-mandoc.patch"
+sha256sums="d1f8e17cfc5d2e3af5fd5a8bcf34bbf99a79d40f66326c098a819f82af62b4b7 xephem-3.7.7.tar.gz
+4a4ac5e6fc852c946b924415c6e16216150c9540219291991cb58e0aba54f8fc 01-use-mandoc.patch"
+sha512sums="d9cfecf0ce8aa495f66fcf6772ca7df0638cef8b9f18d9d6cbf013846a7575786ae9b5c515abc2058783baa7610320c893ddbc6f68bae28c65661a1c73b88634 xephem-3.7.7.tar.gz
+a2b723608145413bd578d86cdc9c550e0315eb3034ae8a9ed4a430f61f765488353a1107936301cf0d93464e97019fac88c71485c461519ffcb1bdd1fce5be2f 01-use-mandoc.patch"